﻿using System;

namespace Life.Automaton
{
    public interface IAutomaton
    {
        int Iteration { get; }
        IField Field { get; }
        IRule Rule { get; set; }

        void Advance();

        void ReplaceField(IField field);
        void Reset();
    }
}