﻿using System.Windows;
using Life.Automaton;
using Life.ViewModel;

namespace Life
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public AutomatonViewModel ViewModel;

        public MainWindow()
        {
            ViewModel = new AutomatonViewModel()
            {
                Automaton = new GameOfLife(20, 20),
                Size = 16,
                Separation = 2,
                Steps = 1,
            };
            
            DataContext = ViewModel;
            
            InitializeComponent();   
        }
    }
}